/*
    Project: TCGINA
    Version: V1.16
    File   : user.h

    Copyright (c) 2005-2007 Author of TCGINA DLL. All rights reserved.
    Public Key Fingerprint: 294B A769 4A0A CC05 DAE6 00DD FF47 8C72 4097 67CE

    Covered by TrueCrypt License 2.2 the full text of which is contained
    in the file License.txt included in TCGINA binary and source code
    distribution archives.

    The copyright notice of this source code file and the public key
    fingerprint must be retained in full.
*/

#ifndef __USER_H_D47DF546F16B490bA6D8523603A5594D
#define __USER_H_D47DF546F16B490bA6D8523603A5594D

#define PROFILELIST_KEY \
  TEXT("SOFTWARE\\Microsoft\\Windows NT\\CurrentVersion\\ProfileList")

typedef struct {
    TCHAR szUserName[MAX_PATH];
    TCHAR szSID[MAX_PATH];
    TCHAR szProfileImagePath[MAX_PATH];
    BOOL  fEncryptedProfile;
    BOOL  fUninstallable;
} USER_INFO_ITEM, *PUSER_INFO_ITEM;

typedef struct {
    BOOL            fTCFileNamesValid;
    TCHAR           rgszTCFileName[26][MAX_PATH];
    DWORD           dwUserCount;
    PUSER_INFO_ITEM pItem;
    DWORD           dwEncryptedUsers;
    DWORD           dwUnencryptedUsers;
    DWORD           dwUninstallableUsers;
} USER_INFO, *PUSER_INFO;

#ifdef __cplusplus
extern "C" {
#endif

PUSER_INFO GetUserInfo(void);
BOOL UpdateTCFileNames(PUSER_INFO pui);
void FreeUserInfo(PUSER_INFO pui);

#ifdef __cplusplus
}
#endif

#endif
